package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.rmbbop.entity.Tdb;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TdbMapper {

    int insert(Tdb record);

    int insertSelective(Tdb record);

    int updateByPrimaryKeySelective(Tdb record);

    int updateByPrimaryKey(Tdb record);

    int deleteByPrimaryKey(Tdb record);

    int deleteByIds(Collection<Object> collection);

    Tdb selectByPrimaryKey(Tdb record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Tdb> dyncRead(Map<String, Object> dyncMap);

    Tdb selectTdbByOwnref(String banktrano);
}
